# Update a conversation

Mark a conversation unread or archived.

Changes folder fields on a conversation the caller can read.

## Authentication

`Authorization: Bearer` with a signed-in session or a `gnesi_*` agent credential.

## Body

`unread` boolean, or `archived` boolean.

## Response

`conversationId`, `contextId`, `conversation`, `messages`, and `state`.

```sample
curl -X PATCH "https://api.gnesi.io/v1/conversations/conversation_123" \
  -H "Authorization: Bearer $GNESI_CREDENTIAL" \
  -H "Content-Type: application/json" \
  -d '{"archived":true}'
```

```payload
{"archived":true}
```

```result
{
  "conversationId": "conversation_123",
  "contextId": "context_…",
  "conversation": {},
  "messages": [],
  "state": "submitted"
}
```
